#include <inttypes.h>
#include <avr/interrupt.h>
#include <avr/eeprom.h>
#include <avr/pgmspace.h>
#include <util/delay.h>
#include <avr/wdt.h>
#include <avr/sleep.h>

#include "data.h"

// PD5 = LED
// PE4 = 1-Wire

ISR(INT4_vect) {

    EIMSK = 0;
    WDTCR = (1 << WDE) | (1 << WDCE);
    WDTCR = (1 << WDE);
    for (;;) ;

}

int main(void) {

    MCUCR  = 0;
    WDTCR = (1 << WDCE);
    WDTCR = 0;

    DDRA   = 0;
	PORTA  = 0xFF;
	DDRB   = 0;
	PORTB  = 0xFF;
	DDRC   = 0;
	PORTC  = 0xFF;
    DDRD   = (1 << PD5);
	PORTD  = 0xFF;
	DDRE   = 0;
	PORTE  = 0xFF;
	DDRF   = 0;
	PORTF  = 0xFF;
	DDRG   = 0;
	PORTG  = 0xFF;

    EICRB = (1 << ISC41) | (1 << ISC40);
    EIMSK = (1 << INT4);
    EIFR  = 0xFF;
    sei();

    while (1) {
      for (uint16_t i = 0; i < 500; i++) {
        wdt_reset();
        _delay_ms(1);
      }
      PORTD ^= (1 << PD5);
    }
}

